# Asterisk Project : Asterisk 12 Application_Exec

Added by wikibot , edited by wikibot on Aug 29, 2013

# Exec()

### Synopsis

Executes dialplan application.

### Description

Allows an arbitrary application to be invoked even when not hard coded into the dialplan. If the underlying application terminates the dialplan, or if the application cannot be found, Exec will terminate the dialplan.

To invoke external applications, see the application System. If you would like to catch any error instead, see TryExec.

### Syntax

    Exec(arguments)

##### Arguments

- `appname` - Application name and arguments of the dialplan application to execute.
  - `arguments`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown